chenhui917
2011-03-11 15:38
浏览 250
已采纳

JBPM4.4 安装问题

最近学习jbpm4.4 从官网下载了以后按照网上的方法进行安装,使用ant demo.setup.tomcat命令安装。出现错误。不能从网上下载tomcat和eclipse。然后我自己下载了tomcat和eclipse放入install中 ,安装时候仍然报错。感觉很奇怪。

我现在用myeclipse6.5,有没有办法在myeclipse6.5中安装JBPM4.4。在网上找了好多帖子,基本上都是复制黏贴的。根本不行。如果不用myeclipse6.5直接使用ant安装怎么安装,是不是要改build.xml文件。最好是让jbpm自己去下载tomcat和eclipse。怎么改。希望有对jbpm4使用熟练的朋友指教一下。谢谢,谢谢。。

  • 写回答
  • 好问题 提建议
  • 追加酬金
  • 关注问题
  • 邀请回答

4条回答 默认 最新

  • 紫翎观星 2011-03-11 16:39
    最佳回答

    使用Maven安装运行吧,在你的项目中加入这个pom.xml文件:
    [code="xml"]
    <?xml version="1.0" encoding="UTF-8"?>
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    4.0.0
    com.hotct
    mydemo
    war
    jBPM Demo
    0.0.1

    <properties>
        <jbpm4.version>4.4</jbpm4.version>
    
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    
    <repositories>
        <repository>
            <id>JBossRepo</id>
            <name>Jboss</name>
            <url>http://repository.jboss.com/maven2/</url>
        </repository>
    </repositories>
    
    <dependencies>
            <dependency>
          <groupId>org.jbpm.jbpm4</groupId>
          <artifactId>jbpm-jpdl</artifactId>
          <version>${jbpm4.version}</version>
            <exclusions>
              <exclusion>
                <groupId>juel</groupId>
                <artifactId>juel</artifactId>
              </exclusion>
            </exclusions>
        </dependency>
        <dependency>
          <groupId>org.jbpm.jbpm4</groupId>
          <artifactId>jbpm-api</artifactId>
          <version>${jbpm4.version}</version>
        </dependency>
        <dependency>
          <groupId>org.jbpm.jbpm4</groupId>
          <artifactId>jbpm-jpdl</artifactId>
          <version>${jbpm4.version}</version>
        </dependency>
        <dependency>
          <groupId>org.jbpm.jbpm4</groupId>
          <artifactId>jbpm-log</artifactId>
          <version>${jbpm4.version}</version>
        </dependency>
        <dependency>
          <groupId>org.jbpm.jbpm4</groupId>
          <artifactId>jbpm-pvm</artifactId>
          <version>${jbpm4.version}</version>
        </dependency>
    </dependencies>
    


    [/code]
    运行mvn package即可。

    评论
    解决 无用
    打赏 举报
查看更多回答(3条)

相关推荐 更多相似问题